## pdf2djvu 0.7.17

=== Makefile ===
# Copyright © 2007, 2008, 2009 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = .
include $(srcdir)/Makefile.common

.PHONY: all
all: pdf2djvu

ifneq "$(WINDRES)" ""
version.o: version.rc version.hh
	$(WINDRES) -c 1252 -o $(@) $(<)
pdf2djvu: version.o
endif

include Makefile.dep

%.hh: %.xml
	tools/xml2c < $(<) > $(@)

paths.hh: tools/generate-paths-hh Makefile.common
	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))

pdf2djvu: config.o
pdf2djvu: debug.o
pdf2djvu: i18n.o
pdf2djvu: image-filter.o
pdf2djvu: pdf-backend.o
pdf2djvu: pdf-dpi.o
pdf2djvu: pdf2djvu.o
pdf2djvu: sexpr.o
pdf2djvu: string-format.o
pdf2djvu: system.o
pdf2djvu: xmp.o
pdf2djvu:
	$(LINK.cc) $(^) $(LDLIBS) -o $(@)

XML_FILES = $(wildcard *.xml)
XML_HH_FILES = $(XML_FILES:.xml=.hh)

.PHONY: clean
clean:
	rm -f pdf2djvu *.o paths.hh $(XML_HH_FILES)

.PHONY: distclean
distclean: clean
	rm -f version.hh Makefile.common config.status config.log

.PHONY: test
test: pdf2djvu
	$(MAKE) -C tests/

MAN_PAGES = $(wildcard doc/*.1 doc/po/*.1)
MO_FILES = $(wildcard po/*.mo)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) pdf2djvu $(DESTDIR)$(bindir)
ifneq ($(MAN_PAGES),)
	set -e; for manpage in $(MAN_PAGES); \
	do \
		set -x; \
		basename=`basename $$manpage`; \
		suffix="$${basename#*.}"; \
		locale="$${suffix%.*}"; \
		[ $$locale = $$suffix ] && locale=; \
		$(INSTALL) -d $(DESTDIR)$(mandir)/$$locale/man1/; \
		$(INSTALL) -m 644 $$manpage $(DESTDIR)$(mandir)/$$locale/man1/"$${basename%%.*}.$${basename##*.}"; \
	done
endif
ifneq ($(MO_FILES),)
	set -e; for locale in $(basename $(notdir $(MO_FILES))); \
	do \
		$(INSTALL) -d $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/; \
		$(INSTALL) -m 644 po/$$locale.mo $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/pdf2djvu.mo; \
	done
endif

# vim:ts=4 sw=4 noet

=== po/Makefile ===
# Copyright © 2009, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ..
include $(srcdir)/Makefile.common

PO_FILES = $(wildcard *.po)
MO_FILES = $(PO_FILES:.po=.mo)
SOURCE_FILES = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)

gettext-common-options = \
	--no-location \
	--sort-output \
	--no-wrap \

xgettext = $(XGETTEXT) \
	$(gettext-common-options) \
	--language=C++ \
	--keyword=_ --keyword=N_ \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--add-comments=L10N: \

msgmerge = $(MSGMERGE) \
	$(gettext-common-options) \
	--verbose \

msgfmt = $(MSGFMT) \
	--check \
	--verbose \

.PHONY: all
all: pdf2djvu.pot $(PO_FILES) $(MO_FILES)

pdf2djvu.pot: $(XGETTEXT_HELPER) $(SOURCE_FILES)
	$(xgettext) -D $(srcdir) $(notdir $(SOURCE_FILES)) > $(@)

%.po: pdf2djvu.pot
	$(msgmerge) -o $(@) $(@) $(<)

%.mo: %.po
ifneq "$(quality-check)" ""
	! msgattrib --only-fuzzy $(<) | grep .
	! msgattrib --untranslated $(<) | grep .
endif
	$(msgfmt) -o $(@) -c $(<)

.PHONY: clean
clean:
	rm -f *.mo pdf2djvu.pot

# vim:ts=4 sw=4 noet

=== tests/Makefile ===
# Copyright © 2009, 2011, 2012 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

# To test everything, run:
#
#    make
#
# You can use the ‘skip’ variable to skip some tests. E.g. to skip tests
# requiring GraphicsMagick, run:
#
#    make skip='*+gm'

export LC_ALL = C

pdf2djvu = ../pdf2djvu
export pdf2djvu

all_test_scripts = $(wildcard test-*.py)
skipped_test_scripts = $(wildcard $(addprefix test-,$(addsuffix .py,$(skip))))
test_scripts = $(filter-out $(skipped_test_scripts),$(all_test_scripts))
tests = $(test_scripts:.py=)

pdf_files = $(tests:%=%.pdf)

in_files = $(wildcard *.in)

generated_files = $(in_files:.in=) $(pdf_files)

.PHONY: all
all: $(generated_files) $(pdf2djvu)
	nosetests -v $(test_scripts)

.PHONY: prepare
prepare: $(in_files:.in=) $(pdf_files)
	rm -f *.pyc

.PHONY: clean
clean:
	rm -f $(generated_files) *.djvu *.pyc

%.pdf: %.tex
	pdftex $(<)
	rm -f $(<:.tex=.log)

%: %.in
	./$(<)

../pdf2djvu:
	$(MAKE) -C ../

# vim:ts=4 sw=4 noet

=== win32/Makefile ===
# Copyright © 2009, 2010, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

usr = $(CURDIR)
host = i686-w64-mingw32
docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

version := $(shell cat ../doc/changelog | head -n1 | cut -d' ' -f2 | tr -d '()')

djvulibre_tools = djvmcvt djvused bzz csepdjvu djvuextract cjb2 c44 djvumake

untar = tar --strip-components=1 -xf
ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll

export CC = $(host)-gcc
export CXX = $(host)-g++
export AS = $(host)-as
export DLLTOOL = $(host)-dlltool
export OBJDUMP = $(host)-objdump
export STRIP = $(host)-strip

export PKG_CONFIG_PATH = $(usr)/lib/pkgconfig
export CPATH = $(usr)/include
export LDFLAGS = -L$(usr)/lib

export CFLAGS = -Os
export CXXFLAGS = -Os
export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO

.PHONY: all
all:
	@echo Usage:
	@echo '  make source-dist'
	@echo '  make binary-dist'

# Source tarballs

src_tarball_topdir = pdf2djvu-win32-source-$(version)
src_tarball_name = pdf2djvu-win32-source_$(version)
export TAR_OPTIONS = --owner root --group root --mode a+rX
export XZ_OPT = -8

.PHONY:
source-dist:
	rm -rf src/*/
	$(MAKE) $(shell grep '[^ ]*source[-]stamp:' Makefile | cut -d: -f1)
	mkdir -p $(src_tarball_topdir)
	cp -rl src/*/ $(src_tarball_topdir)/
	find $(src_tarball_topdir) -name source-stamp -delete
	tar -cf $(src_tarball_name).tar $(src_tarball_topdir)
	xz -v $(src_tarball_name).tar
	rm -rf $(src_tarball_topdir)

# Binary zipballs

zipball_topdir = pdf2djvu-$(version)
zipball_name = pdf2djvu-win32_$(version)
export ZIPOPT = -9 -X -r

.PHONY: binary-dist
binary-dist: install
	mkdir -p $(zipball_topdir)
	cp -rl dist/* $(zipball_topdir)
	zip $(zipball_name).zip $(zipball_topdir)
	rm -r $(zipball_topdir)

.PHONY: install
install: src/pdf2djvu/install-stamp
install: src/libs-install-stamp
install: src/urw-fonts/install-stamp

# pdf2djvu

src/pdf2djvu/source-stamp: src/pdf2djvu_$(version).tar.gz
	mkdir -p $(dir $@)
	cd $(dir $@) && $(untar) $(CURDIR)/$(<)
	sed -i \
		-e '/^extern/d; /^"C"$$/d; /^const char [*]_nl_/d; s/ + _nl_[a-z_]* + .*$$//' \
		$(dir $@)/configure
	sed -i -e 's/%zu/%Iu/g; s/%ju/%I64u/g' \
		$(dir $@)/*.cc \
		$(dir $@)/*.hh \
		$(dir $@)/po/*.po*
	rm -f $(dir $@)/paths.hh
	touch $@

src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
src/pdf2djvu/config.status: src/djvulibre/install-stamp
src/pdf2djvu/config.status: src/libxslt/install-stamp
src/pdf2djvu/config.status: src/poppler/install-stamp
src/pdf2djvu/config.status: src/gettext/install-stamp
src/pdf2djvu/config.status: src/mingwrt/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--bindir=$(usr)/dist/ \
		--localedir=$(usr)/dist/locale/ \
		--without-graphicsmagick

src/pdf2djvu/build-stamp: src/pdf2djvu/config.status
	$(MAKE) djvulibre_bindir=. localedir=./locale -C $(dir $@)
	touch $@

src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
	mkdir -p dist/doc/
	$(MAKE) install -C $(dir $@)
	mv dist/pdf2djvu dist/pdf2djvu.exe
	$(STRIP) dist/pdf2djvu.exe
	chmod a-x dist/pdf2djvu.exe
	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/pdf2djvu.xml > dist/doc/manual-page.html
	$(MAKE) -C $(dir $@)/doc/po/ xml
	cd src/pdf2djvu/doc/po/ && set -e && \
		for file in pdf2djvu.*.xml; do \
			suffix="$${file#*.}"; \
			locale="$${suffix%.*}"; \
			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manual-page-$$locale.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/COPYING > dist/doc/COPYING.txt
	cd src/pdf2djvu/doc && set -e && \
		for file in *.txt; do \
			rst2html $$file > $(usr)/dist/doc/$${file%.txt}.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
	touch $@

# Various libraries

src/libs-install-stamp: src/djvulibre/install-stamp
src/libs-install-stamp: src/fontconfig/install-stamp
src/libs-install-stamp: src/freetype/install-stamp
src/libs-install-stamp: src/gettext/install-stamp
src/libs-install-stamp: src/libjpeg/install-stamp
src/libs-install-stamp: src/libxml2/install-stamp
src/libs-install-stamp: src/libxslt/install-stamp
src/libs-install-stamp: src/poppler/install-stamp
src/libs-install-stamp: src/winiconv/install-stamp
	mkdir -p dist/doc/
	rst2html COPYING.libs.txt > dist/doc/COPYING.libs.html
	touch $@

# Poppler

src/poppler/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://poppler.freedesktop.org/poppler-0.18.4.tar.gz
	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  src/poppler-0.18.4.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../poppler-*.tar.gz
	cd $(dir $@) && sed -i -e 's/^void str\(cat\|cpy\)/void poppler_str\1/' test/perf-test.cc
	rm src/poppler-*.tar.gz
	touch $@

src/poppler/config.status: src/poppler/source-stamp
src/poppler/config.status: src/fontconfig/install-stamp
src/poppler/config.status: src/libjpeg/install-stamp
	cd $(dir $@) && \
		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
		./configure --host=$(host) --prefix=$(usr) \
		--with-font-configuration=fontconfig \
		--enable-xpdf-headers \
		--disable-static \
		--disable-cms \
		--disable-abiword-output \
		--disable-cairo-output \
		--disable-poppler-cpp \
		--disable-poppler-glib \
		--disable-poppler-qt \
		--disable-poppler-qt4 \
		--disable-utils \
		--disable-libpng \
		--disable-compile-warnings
	sed -i -e 's!^\(#define POPPLER_DATADIR\) .*!\1 "./poppler-data/"!' $(dir $@)/config.h

src/poppler/build-stamp: src/poppler/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/poppler/install-stamp: src/poppler/build-stamp
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libpoppler)
	touch $@

# DjVuLibre

src/djvulibre/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.25.3.tar.gz
	echo '898d7ed6dd2fa311a521baa95407a91b20a872d80c45e8245442d64f142cb1e0  src/djvulibre-3.5.25.3.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../djvulibre-*.tar.gz
	sed -i \
		-e '/LIBS=-lmsvcp60/d' \
		-e 's/mingw32)/mingw32*)/' \
		$(dir $@)/configure
	sed -i -e 's/define USE_WIN32_INTERLOCKED 1/define USE_GCC_I386_ASM 1/' $(dir $@)/libdjvu/atomic.cpp
	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
	rm src/djvulibre-*.tar.gz
	touch $@

src/djvulibre/config.status: src/djvulibre/source-stamp
src/djvulibre/config.status: src/libjpeg/config.status
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static

src/djvulibre/build-stamp: src/djvulibre/config.status
	$(MAKE) -C $(dir $@)/libdjvu
	$(MAKE) -C $(dir $@)/tools
	touch $@

src/djvulibre/install-stamp: src/djvulibre/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libdjvu install
	$(MAKE) -C $(dir $@)/tools install
	set -e && \
	for tool in $(djvulibre_tools); do \
		cp bin/$$tool dist/$$tool.exe; \
		$(STRIP) dist/$$tool.exe; \
		chmod a-x dist/$$tool.exe; \
	done
	$(call ship_dll,libdjvulibre)
	touch $@

# libxml2

src/libxml2/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://xmlsoft.org/sources/libxml2-2.7.8.tar.gz
	echo 'cda23bc9ebd26474ca8f3d67e7d1c4a1f1e7106364b690d822e009fdc3c417ec  src/libxml2-2.7.8.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../libxml2-*.tar.gz
	sed -i -e '/^#undef v\?snprintf$$/d' $(dir $@)/config.h.in
	rm src/libxml2-*.tar.gz
	rm -r src/libxml2/test
	rm -r src/libxml2/result
	touch $@

src/libxml2/config.status: src/libxml2/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--with-minimum \
		--with-html \
		--with-output \
		--with-tree \
		--with-writer \
		--with-xpath \
		--with-sax1

src/libxml2/build-stamp: src/libxml2/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/libxml2/install-stamp: src/libxml2/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	cp xmlexports.h include/libxml2/libxml/xmlexports.h
	$(call ship_dll,libxml2)
	touch $@

# libxslt

src/libxslt/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://xmlsoft.org/sources/libxslt-1.1.26.tar.gz
	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
	rm src/libxslt-*.tar.gz
	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' $(dir $@)/libxslt/libxslt.h
	touch $@

src/libxslt/config.status: src/libxslt/source-stamp
src/libxslt/config.status: src/libxml2/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--with-libxml-prefix=$(usr) \
		--with-libxml-include-prefix=$(usr)/include/libxml2/ \
		--without-crypto \
		--without-debug \
		--without-debugger \
		--without-plugins

src/libxslt/build-stamp: src/libxslt/config.status
	$(MAKE) -C $(dir $@)/libxslt/
	touch $@

src/libxslt/install-stamp: src/libxslt/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libxslt/ install
	$(call ship_dll,libxslt)
	touch $@

# FreeType

src/freetype/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://download.savannah.gnu.org/releases/freetype/freetype-2.4.9.tar.bz2
	echo 'c4204ac1d48e99d4375a2f32bf4f3f92780a9d9f015e64e57e852f6c004859b9  src/freetype-2.4.9.tar.bz2' | sha256sum -c
	cd $(dir $@) && $(untar) ../freetype-*.tar.bz2
	rm src/freetype-*.tar.bz2
	touch $@

src/freetype/config.status: src/freetype/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-zlib \
		--disable-static
	touch $@

src/freetype/build-stamp: src/freetype/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/freetype/install-stamp: src/freetype/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libfreetype)
	touch $@

# fontconfig

src/fontconfig/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://www.freedesktop.org/software/fontconfig/release/fontconfig-2.9.0.tar.gz
	echo 'ca7e25071cf044bdcdaf7c48845243c115b9269b4e369c6bd78a29e71f01b41a  src/fontconfig-2.9.0.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../fontconfig-*.tar.gz
	rm src/fontconfig-*.tar.gz
	sed -i -e 's/"append"/"prepend"/g' src/fontconfig/conf.d/*-urw-aliases.conf
	touch $@

src/fontconfig/config.status: src/fontconfig/source-stamp
src/fontconfig/config.status: src/freetype/install-stamp
src/fontconfig/config.status: src/libxml2/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--with-freetype-config=$(usr)/freetype-config \
		--with-add-fonts=CUSTOMFONTDIR \
		--enable-libxml2 \
		--disable-static \
		--disable-docs

src/fontconfig/build-stamp: src/fontconfig/config.status
	$(MAKE) -C $(dir $@)/
	touch $@

src/fontconfig/install-stamp: src/fontconfig/build-stamp
	mkdir -p dist/etc/fonts/conf.d/
	$(MAKE) -C $(dir $@)/ install RUN_FC_CACHE_TEST=false
	$(call ship_dll,libfontconfig)
	cp etc/fonts/fonts.conf dist/etc/fonts/
	cp etc/fonts/fonts.dtd dist/etc/fonts/
	cp etc/fonts/conf.d/[3-6]*.conf dist/etc/fonts/conf.d/
	touch $@

# GNU gettext

src/gettext/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://ftp.gnu.org/pub/gnu/gettext/gettext-0.18.1.1.tar.gz
	echo '93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9  src/gettext-0.18.1.1.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../gettext-*.tar.gz --exclude='gettext-tools'
	rm src/gettext-*.tar.gz
	sed -r -i -e '/(#undef|#define|extern .*) (v?sn?printf|[*]?setlocale)/d' $(dir $@)/gettext-runtime/intl/libgnuintl.h.in
	sed -r -i -e 's/(-DENABLE_RELOCATABLE)=1/\1=0/' $(dir $@)/gettext-runtime/intl/Makefile.in
	touch $@

src/gettext/config.status: src/gettext/source-stamp
src/gettext/config.status: src/winiconv/install-stamp
	cp lib/libiconv.dll $(dir $@)/gettext-runtime/
	cd $(dir $@)/gettext-runtime/ && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--disable-libasprintf
	touch $@	

src/gettext/build-stamp: src/gettext/config.status
	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ \
		aliaspath='\""; return NULL; "\"' \

=== doc/po/Makefile ===
# Copyright © 2009, 2010, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ../..
include $(srcdir)/Makefile.common
include $(srcdir)/doc/Makefile.common

XSLTPROC += --param man.output.lang.in.name.enabled 1

po4a-common-options = \
	--format=docbook

po4a-getext-options = \
	$(po4a-common-options) \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--copyright-holder="Jakub Wilk"

po4a-update-po = po4a-updatepo \
	$(po4a-getext-options) \
	--msgmerge-opt="--no-location"

po4a-gettextize = po4a-gettextize \
	$(po4a-getext-options)

po4a-translate = po4a-translate \
	$(po4a-common-options)

po_files = $(wildcard pdf2djvu.[a-z][a-z].po)
xml_files = $(po_files:.po=.xml)
man_files = $(po_files:.po=.1)

.PHONY: all
all: $(man_files)

.PHONY: xml
xml: $(xml_files)

pdf2djvu.pot: pdf2djvu.xml
	$(po4a-gettextize) -m $(<) -p $(@)

$(po_files): %.po: pdf2djvu.xml
	$(po4a-update-po) -m $(<) -p $(@)
	rm -f $(@)~
	touch $(@)

%.xml: %.po
ifneq "$(quality-check)" ""
	! msgattrib --only-fuzzy $(<) | grep .
	! msgattrib --untranslated $(<) | grep .
endif
	$(po4a-translate) -m pdf2djvu.xml -p $(<) -l $(@)

.PHONY: clean
clean:
	rm -f $(addprefix pdf2djvu.,[a-z][a-z].1 [a-z][a-z].xml pot) *~

# vim:ts=4 sw=4 noet

=== debian/changelog ===
pdf2djvu (0.7.17-4) unstable; urgency=low

  * Bumped standards to 3.9.5 (no changes needed).
  * deb/copyright:
    + changed e-mail address of myself.
    + expanded copyrights for deb/* to 2014.
  * deb/rules: removed Vim status line.
  * deb/watch: added pgpsigurlmangle (plus deb/upstream-signing-key.pgp).
  * Removed deb/install (unneccesary).

 -- Daniel Stender <debian@danielstender.com>  Thu, 03 Jul 2014 17:06:40 +0200

pdf2djvu (0.7.17-3) unstable; urgency=low

  [ Daniel Stender ]
  * changed maintainer e-mail address.

  [ Luca Bruno ]
  * Fix auto clean target (Closes: #724228).

 -- Daniel Stender <debian@danielstender.com>  Mon, 04 Nov 2013 17:21:36 +0100

pdf2djvu (0.7.17-2) unstable; urgency=low

  * deb/clean:
    + added removal of tests/*.pyc (Closes: #712089).
  * deb/control:
    + bumped b-p on debhelper to 7.4.10 (which enabled --parallel).
  * deb/rules:
    + removed BINDNOW from extra hardening when build on mips or mipsel
      (Closes: #712092).
    + added check of DEB_BUILD_OPTIONS for auto_test override (Closes: #712090).

 -- Daniel Stender <daniel@danielstender.com>  Fri, 14 Jun 2013 09:44:36 +0200

pdf2djvu (0.7.17-1) unstable; urgency=low

  [ Daniel Stender ]
  * New upstream release.
  * debian/control:
    + bumped debhelper dep to 7.0.50.
    + bumped standards to 3.9.4 (no changes needed).
    + changed VCS fields.
    + added b-p on autotools-dev (to prevent lintian complaint
      on outdated-autotools-helper-file tools/config.guess 2012-02-10).
  * debian/copyright:
    + updated Format URI.
    + extended copyrights to 2013.
    + fixed typos.
  * debian/rules:
    + added DH_VERBOSE export line.
    + replaced build targets with debhelper sequencer.
    + added add-on autotools-dev to dh invocation.

  [ Luca Bruno ]
  * Enable parallel build, except for tests (Closes: #668774)

 -- Daniel Stender <daniel@danielstender.com>  Sat, 08 Jun 2013 17:32:59 +0200

pdf2djvu (0.7.16-1) unstable; urgency=low

  * Upload to unstable

 -- Luca Bruno <lucab@debian.org>  Mon, 06 May 2013 00:28:29 +0200

pdf2djvu (0.7.16-0~exp1) experimental; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Fri, 18 Jan 2013 14:27:52 +0100

pdf2djvu (0.7.13-0~exp1) experimental; urgency=low

  * New upstream release
    + Fix German translation (Closes: #675573)
    + Port to libpoppler25 API (Closes: #679891)
    + Testsuite now build-depends on python-nose

 -- Luca Bruno <lucab@debian.org>  Wed, 08 Aug 2012 22:38:12 +0200

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.4.10~),
 djvulibre-bin (>= 3.5.23-6),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.7.3),
 libpstreams-dev,
 libxml2-utils,
 libxslt1-dev,
 pkg-config,
 dpkg-dev (>= 1.16.1),
 python-nose
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/pdf2djvu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pdf2djvu.git
Homepage: http://jwilk.net/software/pdf2djvu

Package: pdf2djvu
Architecture: any
Depends: djvulibre-bin (>= 3.5.20-5~), ${misc:Depends}, ${shlibs:Depends}
Suggests: poppler-data
Breaks: libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

DEB_BUILD_ARCH := ($shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(DEB_BUILD_ARCH),$(findstring $(DEB_BUILD_ARCH),mipsel mips))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -j1 test
endif

=== debian/watch ===
version=3
opts=\
pgpsigurlmangle=s|.*[?]name=(.*?)&.*|http://pdf2djvu.googlecode.com/files/$1.asc|,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://pdf2djvu.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/pdf2djvu/downloads/detail[?]name=pdf2djvu_([0-9.]+).tar.gz&.*

## pdf2djvu 0.7.19

=== debian/changelog ===
pdf2djvu (0.7.19-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Feb 2015 16:53:52 +0300

pdf2djvu (0.7.19-1) experimental; urgency=medium

  * New upstream release.
  * deb/copyright: updated.
  * DEP-8 tests: added allow-stderr restriction to control file
    (Closes: #776861).

 -- Daniel Stender <debian@danielstender.com>  Fri, 13 Feb 2015 13:29:38 +0100

pdf2djvu (0.7.18-1ubuntu2) vivid; urgency=medium

  * Allow stderr in autopkgtests to let them pass.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 02 Feb 2015 18:37:08 +0300

pdf2djvu (0.7.18-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 02 Feb 2015 17:43:30 +0300

pdf2djvu (0.7.18-1) experimental; urgency=medium

  * New upstream release (Closes: #758262, #772616).
  * deb/control:
    + dropped Uploaders line (thanks, Luca!).
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs-Browser.
  * deb/copyright: updated Source URI, expanded copyright spans.
  * deb/rules: dropped custom hardening options for Mips(el).
  * deb/watch: updated (Closes: #773449).
  * Added DEP-8 test suite.
  * Fixed upstream-signing-key, and pgpsigurlmangle in deb/watch.
  * wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Wed, 07 Jan 2015 00:36:11 +0100

pdf2djvu (0.7.17-4ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 14:14:12 +0000

pdf2djvu (0.7.17-4ubuntu2) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Nov 2014 15:46:40 +0000

pdf2djvu (0.7.17-4ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable one test that is failing with Poppler 0.24+.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Nov 2014 01:51:49 -0500

pdf2djvu (0.7.17-3ubuntu3) utopic; urgency=medium

  * No change rebuild for poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 May 2014 09:31:44 +0100

pdf2djvu (0.7.17-3ubuntu2) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 22:52:34 +0100

pdf2djvu (0.7.17-3ubuntu1) trusty; urgency=low

  * Disable one test that is failing with Poppler 0.24.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 26 Dec 2013 20:55:47 +0400

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.4.10~),
 djvulibre-bin (>= 3.5.23-6),
 dpkg-dev (>= 1.16.1),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.7.3),
 libpstreams-dev,
 libxml2-utils,
 libxslt1-dev,
 pkg-config,
 python-nose
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/pdf2djvu.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
Homepage: http://jwilk.net/software/pdf2djvu
XS-Testsuite: autopkgtest

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.20-5~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/tests/control ===
Tests: pdf2djvu
Depends: pdf2djvu, python-nose
Restrictions: allow-stderr

## pdf2djvu 0.7.21

=== debian/changelog ===
pdf2djvu (0.7.21-2ubuntu2) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 19:15:12 +0000

pdf2djvu (0.7.21-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Disable one test that fails when Poppler is built with -Bsymbolic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Aug 2015 21:56:27 +0000

pdf2djvu (0.7.21-2) unstable; urgency=medium

  * Dropped right click PDF context menu feature (Closes: #787247).

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Jun 2015 14:30:05 +0200

pdf2djvu (0.7.21-1) unstable; urgency=medium

  * New upstream release (Closes: #784889).

 -- Daniel Stender <debian@danielstender.com>  Mon, 11 May 2015 13:23:09 +0200

pdf2djvu (0.7.20-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added build-dep on python-pil.
  * deb/tests: run nosetest directly, dropped allow-stderr, added dep
    on python-pil.
  * deb/gbp.conf: updated config section header for gbp 0.6.26.

 -- Daniel Stender <debian@danielstender.com>  Tue, 05 May 2015 19:17:11 +0200

pdf2djvu (0.7.19-2) unstable; urgency=medium

  * Upload to unstable.
  * deb/control: updated deprecated XS-Testsuite element.
  * Added right click functionality (added deb/pdf2djvu.desktop,
    deb/pdf2djvu.xpm, deb/pdf2djvu_wrapper, deb/install).

 -- Daniel Stender <debian@danielstender.com>  Sun, 26 Apr 2015 15:49:32 +0200

pdf2djvu (0.7.19-1ubuntu3) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:32:55 +0000

pdf2djvu (0.7.19-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 12:29:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
 Build-Depends:
  autotools-dev,
  debhelper (>= 7.4.10~),
@@ -14,12 +15,13 @@
  libxml2-utils,
  libxslt1-dev,
  pkg-config,
- python-nose
+ python-nose,
+ python-pil
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdf2djvu.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
 Homepage: http://jwilk.net/software/pdf2djvu
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: pdf2djvu
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -j1 test
endif

=== debian/tests/control ===
Tests: pdf2djvu
Depends: pdf2djvu, python-nose, python-pil
